@media screen and (min-width: 1600px) {
  body.login-page {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh !important;
    background-image: url("image/login-bg.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-color: rgba(0, 0, 0, 70%);
  }
}

@media screen and (max-width: 1599px) {
  body.login-page {
    /* display: flex;
  justify-content: center;
  align-items: center; */
    width: 100%;
    height: 100vh;
    background-image: url("image/login-bg.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-color: rgba(0, 0, 0, 70%);
  }
}

@media screen and (max-width: 1860px) {
  .innerbox-width {
    width: 100%;
  }
  .setting_picture .pic_text img {
    max-width: 35px;
  }

  .support-section .active-tab .detail_block {
    padding: 20px 10px;
    gap: 10px;
  }

  .support-section .support_info {
    padding: 28px 20px 30px 10px;
  }

  .userinfo-scrolling {
    max-height: 230px;
    overflow-y: auto;
    overflow-x: clip;
  }
}

@media screen and (max-width: 1620px) {
  .detail_section .inner-block {
    padding: 40px 22px;
    gap: 15px;
  }

  .detail_section .inner-block .img-uploder {
    width: 80px;
    height: 80px;
  }

  .product-add-section .prodect-inner .prodect-upload {
    height: 370px;
  }

  .product-add-section .prodect-inner .sprodect-upload {
    height: 90px;
  }

  .edite-restrodetails .restro-upload {
    height: 250px !important;
  }

  .proaddon-resto {
    height: 100% !important;
  }

  .restoproreview-section .inner-review .man-block {
    flex-wrap: wrap;
  }

  .restoproreview-section .inner-review .man-sblock {
    padding: 8px;
  }

  .web_logo .setting_picture {
    max-width: 160px;
    height: 160px;
  }

  .support-section .support_info {
    padding: 28px 20px 30px 10px;
  }

  .support-section .user_detail .nav-link {
    padding-inline: 10px;
  }

  .support-section .sub_headding {
    width: 50%;
  }

  .form-check-label {
    font-size: 14px !important;
  }
}

@media screen and (max-width: 1500px) {
  .support-section .sub_headding {
    width: 40%;
  }
}

@media screen and (max-width: 1399px) {
  .w-310 {
    width: 310px !important;
  }

  .dis-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }

  .support-section .support_info {
    padding: 28px 20px 30px 30px;
  }

  .support-section .border_right {
    border-right: none;
  }

  .support-section .user_detail .nav-link {
    padding-inline: 20px;
  }

  .support-tabcolor {
    margin-top: 0px;
  }

  .support-section .sub_headding {
    width: 80%;
  }

  .search_section {
    padding-inline: 0px;
  }

  .products-list-section .product-box span,
  .resto-dasbord .product-box .innerbox small {
    font-size: 13px;
    line-height: 20px;
  }

  .detail_section .sub-inner .timeing {
    gap: 10px;
  }

  .detail_section .sub-inner .timeing p {
    min-width: 90px;
    font-size: 15px;
  }

  .detail_section .inner-block a {
    font-size: 16px;
  }

  .ratting-block .retting-icon i {
    font-size: 12px;
  }

  .detail_section .ratting-block h3 {
    margin-bottom: 20px;
  }

  .detail_section .inner-block {
    flex-wrap: wrap;
  }

  .inner-text {
    flex-wrap: wrap;
  }

  .shop-reviews .reviews {
    flex-wrap: wrap;
  }

  .product-add-section .prodect-inner .sprodect-upload {
    height: 70px;
  }

  .product-add-section .prodect-inner .prodect-upload {
    height: 300px;
  }

  .restoproreview-section .inner-review .review-simgupload {
    width: 40px;
    height: 40px;
  }

  .edite-restrodetails .restro-upload {
    height: 200px !important;
  }

  .resto-withdrawsection .withdraw-block h3 {
    font-size: 22px;
  }

  .resto-withdrawsection .withdraw-block h6 {
    font-size: 16px;
  }

  .products-list-section .product-box {
    padding: 14px;
  }
  .resto-dasbord .selling-products .product-img {
    width: 50px;
    height: 50px;
    border-radius: 6px;
  }

  .resto-dasbord .selling-products h4 {
    font-size: 22px;
  }

  .restoproreview-section .inner-review .review-imgupload {
    width: 50px;
    height: 50px;
    border-radius: 10px;
  }

  .restoproreview-section .inner-review .review-simgupload {
    width: 50px;
    height: 50px;
    border-radius: 50%;
  }

  .restoproreview-section .inner-review {
    padding: 18px;
  }

  .web_logo .setting_picture {
    max-width: 125px;
    height: 180px;
  }

  .products-list-section .product-box .iconbox {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    width: 50px;
    height: 50px;
    border-radius: 10px;
    background-color: #00bf6f;
    padding: 13px;
  }

  .products-list-section .product-box h3 {
    font-size: 20px;
  }

  .products-list-section p {
    font-size: 14px;
  }

  .products-list-section .product-box {
    gap: 10px;
  }
}

@media screen and (min-width: 1200px) and (max-width: 1400px) {
  .search-group select {
    max-width: 100% !important;
  }

  .txt-shop {
    font-weight: 300;
    line-height: 24px;
    max-height: inherit !important;
    font-size: 14px !important;
  }

  .grid-category {
    grid-template-columns: repeat(3, 1fr);
    justify-content: center; /* prevents huge stretching */
  }

  .fs-16 {
    font-size: 13px !important;
  }

  .driver-earnings p {
    font-size: 13px;
  }

  .pic_texts,
  .simage-upload .pic_text {
    font-size: 10px;
    line-height: 10px;
  }
}

@media screen and (max-width: 1299px) {
  .driver-info-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media screen and (max-width: 1199px) {
  .filters_table {
    width: 100%;
    min-width: 100%;
  }

  .detail_section .inner-block {
    justify-content: space-around;
  }
  .detail_section .inner-box {
    width: 100%;
  }
  .detail_section .sub-inner {
    width: 100%;
  }
  .row {
    row-gap: 20px;
  }

  .remvoe_gap,
  .row.addon {
    row-gap: 0px;
  }
}

@media screen and (max-width: 996px) {
  .gap-100 {
    gap: 20px;
    flex-wrap: wrap;
  }

  .form-wrap {
    flex-wrap: wrap !important;
  }

  .driver-info-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .form-btn {
    justify-content: start;
  }

  .search-group select {
    max-width: 100% !important;
  }

  .btn-add {
    padding: 8px 15px;
    font-size: 14px;
  }

  .btn-remove {
    padding: 8px 15px;
    font-size: 14px;
  }

  .h-less {
    height: 250px !important;
  }

  .pic_text img {
    max-width: 35px;
  }

  .fs-16 {
    font-size: 14px !important;
  }

  .p-32 {
    padding: 24px !important;
  }

  .driver-accordion-head button h4 {
    font-size: 16px !important;
  }

  .driver-status-pending {
    font-size: 14px !important;
  }

  .driver-id h5 {
    font-size: 14px !important;
  }

  .driver-id p {
    font-size: 14px !important;
  }

  .ID-img h5 {
    font-size: 14px !important;
  }

  .faq-section .accordion-header .accordion-button {
    font-size: 16px !important;
  }

  .form-groupes .table_searchicon {
    font-size: 16px !important;
  }

  .fs-24 {
    font-size: 20px !important;
  }

  .btn-flat .porfile_manblock .prent h5 {
    font-size: 18px;
  }

  .btn-flat .porfile_manblock .prent i {
    font-size: 18px;
  }

  .dis-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .product-add-section .prodect-inner .sprodect-upload {
    height: 120px;
  }
}

@media screen and (min-width: 992px) {
  .sidebar-mini .main-sidebar .nav-link,
  .sidebar-mini-md .main-sidebar .nav-link,
  .sidebar-mini-xs .main-sidebar .nav-link {
    width: calc(250px - 0.8rem * 2);
  }

  .sidebar-collapse.sidebar-mini .main-sidebar.sidebar-focused .nav-link,
  .sidebar-collapse.sidebar-mini .main-sidebar:hover .nav-link,
  .sidebar-collapse.sidebar-mini-md .main-sidebar.sidebar-focused .nav-link,
  .sidebar-collapse.sidebar-mini-md .main-sidebar:hover .nav-link,
  .sidebar-collapse.sidebar-mini-xs .main-sidebar.sidebar-focused .nav-link,
  .sidebar-collapse.sidebar-mini-xs .main-sidebar:hover .nav-link {
    width: calc(250px - 0.8rem * 2);
  }

  .sidebar-mini.sidebar-collapse .main-sidebar,
  .sidebar-mini.sidebar-collapse .main-sidebar::before {
    margin-left: 0;
    width: 4.8rem;
  }

  .os-content {
    padding-inline-start: 12px !important;
  }

  nav.main-header.navbar.navbar-expand.navbar-dark {
    padding: 13px;
    border: none;
    border-inline-start: 1px solid #dedede;
  }
}

@media screen and (min-width: 768px) {
  .toggle-th,
  .toggle-td {
    display: none !important;
  }

  .order-expand-row {
    display: none !important;
  }
}

@media screen and (max-width: 767px) {
  .hide-768 {
    display: none !important;
  }

  .toggle-th,
  .toggle-td {
    display: table-cell !important;
  }

  .order-expand-row.open {
    display: table-row !important;
  }

  .table-bg {
    padding: 15px;
  }

  .category-box {
    padding: 30px !important;
  }

  .step-circle {
    margin: inherit !important;
  }

  .step-progress {
    gap: 0px !important;
    flex-direction: column;
    align-items: flex-start;
  }

  .step-item {
    width: 100%;
  }

  .step-line {
    width: 2px;
    height: 30px;
    margin: 8px 0 8px 18px;
  }

  .cus-tabs {
    white-space: nowrap !important;
    /* overflow-x: auto !important; */
    flex-wrap: nowrap !important;
    width: 100% !important;
  }

  .nav-tabs .nav-link {
    white-space: nowrap !important;
  }

  .prodect-inner {
    margin-bottom: 0px !important;
  }

  .h-320 {
    height: 250px !important;
  }

  .save-buttn {
    font-size: 16px !important;
  }

  .web_logo .setting_picture {
    height: 200px !important;
  }

  .timing .open input {
    width: 100%;
    max-width: 130px;
  }

  .fs-18 {
    font-size: 16px !important;
  }

  .vendor-main input {
    font-size: 14px !important;
  }

  .custom-checkbox .checkmark {
    width: 20px !important;
    height: 20px !important;
  }

  .custom-checkbox .checkmark:after {
    left: 6px !important;
    top: 1px !important;
  }

  .custom-checkbox .checkmark {
    right: inherit !important;
    left: 0 !important;
  }

  .search-group select {
    font-size: 14px !important;
  }

  .search-group input {
    font-size: 13px !important;
  }

  .fs-24 {
    font-size: 20px !important;
  }

  .userdropdown {
    top: 50px !important;
    left: unset !important;
    right: 15px;
  }

  .categories-section,
  .categories-subsection,
  .products-list-section,
  .addcategory-section,
  .section {
    padding-inline: 15px !important;
  }

  .products-list-subsection input {
    width: 100%;
  }

  .breadcrumb-item,
  .breadcrumb-item a {
    font-size: 15px;
  }

  .breadcrumb-item,
  .breadcrumb-item a {
    font-size: 17px;
  }

  .categories-section h1 {
    font-size: 26px;
  }

  .support-section .chat_download {
    margin: 18px 10px 0px 10px;
  }

  .support-section .pdf_download {
    padding: 6px 15px;
  }

  .support-section .chat_bord {
    padding: 20px 10px 0px 10px;
  }

  .support-section .chat_inner {
    padding: 12px;
  }

  .support-section .chatting_box {
    margin: 20px 10px 10px 10px;
  }

  .support-section .chat_bord p {
    margin: 0px 0px 0px 0px;
  }

  .support-section .sub_headding {
    width: 80%;
  }

  .technical_block {
    gap: 15px;
    flex-wrap: wrap;
  }

  .notification_block .dropdown-contant {
    padding: 10px;
  }

  .notification_block .notification_dropdown {
    min-width: 300px !important;
    padding: 20px 10px;
    right: 10px;
  }

  .notification_block .dropdown-contant h4 {
    font-size: 16px;
  }

  .notification_block .dropdown-contant p {
    max-width: 170px;
    font-size: 14px;
  }

  li.nav-item.dropdown.notification_block {
    position: unset;
  }

  .notification_block .dropdown-header {
    font-size: 22px;
  }

  .progress_main {
    padding-bottom: 26px;
  }
}

@media screen and (max-width: 664px) {
  .wrap-profile {
    flex-wrap: wrap !important;
  }

  .products-list-section .product-box h3 {
    font-size: 18px;
  }

  .driver-earnings p {
    margin-bottom: 0px !important;
  }

  .driver-earnings {
    padding: 22px;
  }

  .driver-earnings h3 {
    font-size: 20px;
  }

  .status-active {
    padding: 3px 10px;
    font-size: 10px;
  }

  .status-online {
    padding: 3px 10px;
    font-size: 10px;
  }

  /* .fs-24 {
    font-size: 16px;
  } */

  .driver-profile {
    width: 70px !important;
    height: 70px !important;
  }

  .filters_table {
    width: 100%;
    min-width: 100%;
  }

  .cus-inp {
    font-size: 14px !important;
  }
}

@media screen and (max-width: 575px) {

  .detail_section .inner-block{
    padding: 20px 22px;
  }

  .min-w-120 {
    min-width: 100px !important;
}

  .sm-icn svg{
    width: 15px !important;
    height: 15px !important;
  }

  .shop-icn svg{
    width: 20px !important;
    height: 20px !important;
    flex-shrink: 0 !important;
  }

  .process_bar p{
            line-height: 14px;
        font-size: 10px !important;
  }

  span.process_area {
    font-size: 12px;
    width: 35px;
    height: 35px;
}

.process_bar::before {
    top: 16px;
}

  .edit-dropdown {
    left: -50px;
    top: 0px;
  }

  .grid-category {
    grid-template-columns: repeat(1, 1fr) !important;
  }

  .driver-info-grid {
    grid-template-columns: 1fr;
  }

  .privacy-section .privacy-policy li {
    font-size: 14px !important;
    margin-bottom: 0px !important;
  }

  .privacy-section .privacy-policy p {
    font-size: 14px !important;
  }

  .faq-section .accordion-body {
    font-size: 14px !important;
  }

  .faq-section .accordion-header .accordion-button {
    font-size: 14px !important;
  }

  .review-profile {
    width: 40px;
    height: 40px;
  }

  .inner-text {
    gap: 0px !important;
  }

  td img {
    width: 40px !important;
    height: 40px !important;
  }

  .product-add-section .cus-product-inp input {
    font-size: 14px !important;
  }

  .check {
    align-items: flex-start;
  }

  .timing {
    width: 100%;
  }

  .main textarea {
    font-size: 14px !important;
  }

  .product-select {
    font-size: 14px !important;
  }

  .product-add-section .publish-btn {
    font-size: 16px !important;
  }

  .product-add-section .select-list select {
    font-size: 14px !important;
  }

  .text-muted {
    font-size: 13px !important;
  }

  .product-add-section .product-main input {
    font-size: 14px !important;
  }

  .form-label {
    font-size: 16px !important;
  }

  .row {
    row-gap: 10px;
  }

  .table thead th {
    font-size: 14px !important;
  }

  .table td {
    font-size: 15px !important;
  }

  .fs-15 {
    font-size: 13px !important;
  }

  .form-btn {
    justify-content: start !important;
  }

  .navbar-nav > .user-menu .user-image {
    margin-top: -8px;
  }

  .btn-flat .porfile_manblock .prent h5 {
    font-size: 14px !important;
  }

  .btn-flat .porfile_manblock .prent i {
    font-size: 14px;
  }

  .dis-grid {
    grid-template-columns: repeat(1, 1fr);
  }

  .login-page-main {
       width: calc(100% - 30px);
  }

  .edite-restrodetails .inner-block {
    padding: 25px 10px;
  }

  h1 {
    font-size: 22px !important;
  }
  h2 {
    font-size: 18px !important;
  }

  p {
    font-size: 14px !important;
    margin-bottom: 0px !important;
  }

  .publish-btn {
    font-size: 13px;
  }

  .login-page-main {
    padding: 20px;
  }

  .login-descapation{
    margin-bottom: 15px !important;
  }

  .login-page-main h2{
    font-size: 22px !important;
  }

  a {
    font-size: 14px !important;
  }

  /* span {
    font-size: 14px !important;
  } */

  h1 b span.text-success {
    font-size: unset !important;
  }

  h5 {
    font-size: 18px !important;
  }
  h4 {
    font-size: 20px !important;
  }

  .product-add-section .prodect-inner {
    padding: 20px;
  }

  .dataTables_filter .form-control-sm {
    width: 100% !important;
  }

  .products-list-section {
    padding-inline: 10px;
  }

  .resto-dasbord .selling-products .product-block {
    flex-wrap: wrap;
  }

  .resto-dasbord .recent-order .bttn-group {
    flex-wrap: wrap;
  }

  .resto-dasbord .recent-order {
    flex-wrap: wrap;
  }

  .detail_section .inner-box {
    flex-wrap: wrap;
  }

  .detail_section .sub-inner .timeing {
    align-items: center;
  }

  .edite-restrodetails .opning-time .open:first-child {
    margin-inline-end: 0px;
  }

  .timing .gap-3 {
    gap: 10px !important;
  }

  .restoproreview-section .inner-review .review_content h5 {
    font-size: 16px !important  ;
  }

  .privacy-section .privacy-policy {
    padding: 20px;
  }

  .privacy_ .username span {
    font-size: unset !important;
  }

  .simallimage-upload .custom-picture {
    width: 200px !important;
    height: 120px !important;
  }

  /* .addcategory-section,
  .section,
  .categories-section,
  .categories-subsection,
  .products-list-section {
    padding-inline: 0px !important;
  } */

  .products-list-section p {
    padding-top: 0;
    margin-bottom: 0;
  }

  /* .content-header {
    padding: 0px !important;
  } */

  .page-item .page-link {
    border-radius: 5px !important;
    width: unset;
    height: unset;
  }

  .card-body.useradd_model.text-center {
    padding: 0px;
  }

  .inner-text {
    margin-block-end: 0px;
  }

  .custom-navpill a.nav-link {
    padding-inline: 5px;
  }

  .addrestaurant-vendors .inner-manbox,
  .product-add-section .prodect-inner {
    padding: 25px 0px;
  }

  /* .form-group.addmore-block.form-floating{
    margin-bottom: 0px;
  } */
  .btn.addmore-buttn.addVariant,
  .btn.addmore-buttn.removeVariant,
  .btn.addmore-buttn.addAttribute,
  .btn.addmore-buttn.removeAttribute,
  .btn.addmore-buttn.addAddOn,
  .btn.addmore-buttn.removeAddOn {
    margin-bottom: 18px;
  }

  .addcategory-modal .card-body,
  .card-header {
    padding: 0;
  }

  .pharmacy-order-detial .order-code h3 {
    font-size: 16px;
  }

  .pharmacy-order-detial .order-code ul {
    font-size: 14px;
    padding: 0px 20px;
  }

  .pharmacy-order-detial .order-code {
    gap: 0px;
  }

  .restoproreview-section .review-select {
    justify-content: start;
  }
  .addnewcategories-section .inner-addsection {
    padding: 20px;
  }

  .addcategory-modal .dollor-amountbtn {
    padding-inline: 20px;
  }

  .addcategory-modal .ac-box {
    margin-inline: 0px;
  }

  .addcategory-modal .accountnumber_box {
    padding: 10px;
  }

  .addcategory-modal .accountnumber_box .bank_detail_ h4 {
    font-size: 15px !important;
  }

  .nav-sidebar .nav-link p {
    margin: 0 !important;
  }

  .addmore-buttn {
    padding: 0px;
  }

  .pagination {
    margin-top: 10px;
  }

  .custom-toast.success .content-container .title,
  .custom-toast .content-container .message {
    margin-bottom: 0px !important;
  }

  .custom-toast .icon-container > svg {
    height: 25px;
  }

  .support-section .sub_headding {
    width: 60%;
  }

  .chat_inner .technical_block {
    gap: 10px;
    flex-wrap: wrap;
  }

  .prodect_grid {
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: 1fr;
    gap: 20px;
  }

  .notification_block .dropdown-contant h4 {
    font-size: 16px !important;
  }

  .notification_block .dropdown-contant p {
    max-width: 170px;
    font-size: 14px;
  }

  .notification_block .dropdown-header {
    font-size: 22px !important;
  }
}

@media screen and (max-width: 425px) {
  .mt-c-3 {
    margin-top: 10px !important;
    margin-left: 0px !important;
    margin-right: 0px !important;
  }

  .userdropdown {
    top: 50px !important;
    left: unset !important;
    right: 0px;
  }

  .d-cusnone {
    display: none !important;
  }
}

@media screen and (max-width: 320px) {
  .fs-16 {
    font-size: 13px !important;
  }
}
